Subject: [Fot] Air filters for twin DCOE on a Morgan 4/4

From: Kelvin Dodd via Fot <[email-masked]>
Date: Wed, 14 Dec 2022 20:28:47 +0000

Jack. 

There have been a lot of very good posts covering generic application DCOE air filters. For your application, from what I can tell you will need to modify the bonnet to clear any kind of filter on a twin DCOE setup. 
Excuse my lack of familiarity, as I've only worked with Morgan +4s, but looking up images of both crossflow and non-crossflow Ford powered 4/4s it looks like you will have the same problem with clearance for the front filter. 
Not sure if this is helpful, but I would check clearance first, then if you do need a scoop, determine how much clearance that would give you. The Super Sports type scoop TeriAnn mentioned should give adequate clearance for most filters. If you choose a filter with a flat back plate, you can fit stub stacks inside the filter to smooth the inlet flow. 

Kelvin. 

I am getting ready to install a set of 40 DCOE Webers on my 1600 CC Ford engine in my Morgan.? The Webers came with short (about 1 1/2 inches) velocity stacks.? Does anyone know of a good air filter set-up for these carbs?? I know most of your race cars probably run without filters, but this is a street car, and I would really like to have filters.? Thanks.
Jack

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot